#include<iostream>
#include<algorithm>
#define MAX 10000
using namespace std;
int main()
{
	int t; //broj takmicara
	cin >> t;
	int i;
	int brojGlasina1[MAX];//prihvacene glasine
	int brojGlasina2[MAX];//odbijene glasine
	int prihvacene[MAX];
	int odbijene[MAX];

	for (int j = 0; j < t; j++)
	{
		int n, m;//n-broj glasina prihvacene, m-broj glasina odbijene
		cin >> n >> m;

		for (i = 0; i < n; i++)
		{
			cin >> prihvacene[i];
		}

		for (i = 0; i < m; i++)
		{
			cin >> odbijene[i];
		}

		sort(prihvacene, prihvacene + n);
		sort(odbijene, odbijene + m);

		int x = prihvacene[1] - prihvacene[0];
		bool sveJednako = true;
		
		for (i = 0; i < n - 1; i++)
		{
			if (prihvacene[i + 1] - prihvacene[i] == x || (prihvacene[i + 1] - prihvacene[i]) % x == 0)
			{
				sveJednako = true;
			}
			else
			{
				sveJednako = false;
				break;
			}
		}

		if (sveJednako)
		{
			cout << 1 << endl;
		}
		else if(sveJednako == false)
		{
			cout << 0 << endl;
		}
	}

	return 0;
	system("pause");
}